Download it now!
Bug 105035 - FILEOPEN DOCX: Two frames, anchored to the same paragraph, imported as a single frame (comment 7)
Summary: FILEOPEN DOCX: Two frames, anchored to the same paragraph, imported as a sing...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Frames
  Show dependency treegraph
 
Reported: 2017-01-01 22:57 UTC by Xisco Faulí
Modified: 2020-09-02 13:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the minimized document in Writer before and after saving (155.44 KB, image/png)
2020-05-18 10:08 UTC, NISZ LibreOffice Team
Details
Minimized document (22.60 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-18 10:08 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-01-01 22:57:03 UTC
Steps:
1. Open attachment 73104 [details] from bug 59426
2. Save it as .DOCX
3. Open the new .DOCX file

Observed behaviour: Title is at incorrect position after RT

Reproduced in:

Version: 5.4.0.0.alpha0+
Build ID: 7a1add76d542e9929c1feab9e06949990e236616
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-01-01 22:58:19 UTC
Regression introduced by:

author	Tamás Zolnai <tamas.zolnai@collabora.com>	2016-10-28 15:24:51 (GMT)
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2016-10-28 14:10:41 (GMT)
commit	b927c1f4b334f80d2c2965e5b7327d6b6a685105 (patch)
tree	81c858f4a49ac09608294088bb2ecab77b93be5a
parent	8a22bc93e0988188a87c0a787a9b32a7f74da84d (diff)
tdf#103544: DOCX exp.: Image loss when have a frame anchored to the same para.
Regression from:
83d51e5e52688c4c9bc0ad70a511458bb06a242d

Partly revert the commit causes this regression.
I checked the related bugs (tdf#78590,tdf#80748)
intended to be fixed by this commit and reverting
this part does not bring back the corruption.
I guess something changed in frames' and text boxes'
import in the meantime, because this MergeMarks::IGNORE
is useless now.

Adding Cc: to Tamás Zolnai
Comment 2 QA Administrators 2018-05-08 02:32:22 UTC Comment hidden (obsolete)
Comment 3 Timur 2020-02-06 12:30:39 UTC
Repro 7.0+ as of today.
Comment 4 NISZ LibreOffice Team 2020-05-18 10:08:17 UTC
Created attachment 160972 [details]
Screenshot of the minimized document in Writer before and after saving

The original frame has Wrap: None set, this is imported correctly, but it's then exported as Wrap: Through

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 557c6777ad33b54af28541a96bcf91596995b388
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 5 NISZ LibreOffice Team 2020-05-18 10:08:39 UTC
Created attachment 160973 [details]
Minimized document
Comment 6 NISZ LibreOffice Team 2020-05-18 10:11:13 UTC
Another fun detail (probably for a separate bug): The original document has two frames after each other, anchored to the same paragraph. 
These are imported as a single frame, with the alignment etc settings of the first and combined text of both.
Comment 7 NISZ LibreOffice Team 2020-09-02 13:02:27 UTC
The export wrap of the frame is now fixed with bug #133924

We can keep this one for the part where two frames become one on import.
Comment 8 Timur 2020-09-02 13:18:55 UTC
Hi Nisz, I see you doing a lot of reviews and retests which is great. Sometimes like here you notice that original issue was fixed but you keep the bug for some other issue, which is fine, I do the same. Only, in those cases, please also rename bug and add "per comment .." to focus immediately. I do it here.